org.apache.tools.ant.util

## Class ScriptRunner

- java.lang.Object
- - org.apache.tools.ant.util.ScriptRunnerBase
  - - org.apache.tools.ant.util.optional.ScriptRunner
    - - org.apache.tools.ant.util.ScriptRunner

Deprecated.
Implementation moved to another location. Use that org.apache.tools.ant.types.optional.ScriptRunner instead.

    public class ScriptRunner
    extends ScriptRunner

This class is here for backwards compatibility.

### Constructor Summary

Constructors
Constructor and Description
`ScriptRunner()` Deprecated.

### Method Summary

### Methods inherited from class org.apache.tools.ant.util.optional.ScriptRunner

`evaluateScript, executeScript, getManagerName, supportsLanguage`

### Methods inherited from class org.apache.tools.ant.util.ScriptRunnerBase

`addBean, addBeans, addText, bindToComponent, bindToComponentMinimum, checkLanguage, clearScript, getBeans, getKeepEngine, getLanguage, getProject, getScript, getScriptClassLoader, loadResource, loadResources, replaceContextLoader, restoreContextLoader, setKeepEngine, setLanguage, setProject, setScriptClassLoader, setSrc`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptRunner

    public ScriptRunner()

Deprecated.